﻿using System;
using System.Data.Entity;
using System.IO;

namespace Hermes.Model {
    public class ModelContext : DbContext {
        private static ModelContext instance = new ModelContext();

        public static ModelContext Getinstance() {
            return instance;
        }

        public ModelContext()
                : base("Data Source=" + Path.Combine(Environment.GetFolderPath(Environment.SpecialFolder.ApplicationData), "hermes.sdf")) {
            Database.SetInitializer(new MigrateDatabaseToLatestVersion<ModelContext, Migrations.Configuration>());
        }

        protected override void OnModelCreating(DbModelBuilder modelBuilder) {
            base.OnModelCreating(modelBuilder);
        }

        public virtual DbSet<Citoyen> CitoyenSet {
            get; set;
        }
        public virtual DbSet<Preferences> Preferences {
            get; set;
        }
    }
}
